# Countries API

In the Gigastore API, each package relates to a country set. This country set defines the supported countries of this package and is represented by a string identifier.

The number of countries in each country set can be just 1 - for single-country packages - or many such as for worldwide packages or regional packages.&#x20;

For each country set, you can check the containing countries using the `countries` endpoint.

The country set of the worldwide package has the identifier `WWW`. To retrieve the included countries, use&#x20;

```
GET /gigastore/esim/countries/WWW

Response:
[
    {
        "code": "AU",
        "name": "AU",
        "imageUrl": "/esim/countries/au/flag"
    },
    {
        "code": "AL",
        "name": "AL",
        "imageUrl": "/esim/countries/al/flag"
    },
    ...
]
```

The country set of the Austria package has the identifier `AT`.

```
GET /gigastore/esim/countries/AT

Response:
[
    {
        "code": "AT",
        "name": "AT",
        "imageUrl": "/esim/countries/at/flag"
    }
]
```

The endpoint returns a list of countries, including the **ISO2** code and the **endpoint URL** for the flag of this country.

### Flags

Country flags are provided by the API in **PNG format**. Use the ISO2 code of the country to fetch the image:

```
GET /gigastore/esim/countries/AT/flag
```

### Networks

Each country has one or more providers of network towers (cell towers) supported by Gigastore.

If an eSIM is installed and activated on a user's device, it will automatically try to connect to a supported tower close by. If the user owns a package covering this network, the access is granted and the data used is deducted from the package.

Gigastore can provide clients with a list of supported networks per country on request.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.giga.store/api/countries-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
